%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

# don't add provides for plugin .so
%define __provides_exclude_from	%{_libdir}/%{name}/plugins/.*\\.so

Name:		tiled
Version:	1.4.3
Release:	%mkrel 2
Summary:	General purpose tile map editor for tile-based games
Group:		Graphics/Editors and Converters
License:	GPLv2+ and BSD
URL:		https://www.mapeditor.org
Source0:	https://github.com/bjorn/tiled/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

%description
Tiled is a general purpose tile map editor for all tile-based games,
such as RPGs, platformers or Breakout clones.

Tiled is highly flexible. It can be used to create maps of any size,
with no restrictions on tile size, or the number of layers or tiles
that can be used. Maps, layers, tiles, and objects can all be assigned
arbitrary properties. Tiled's map format (TMX) is easy to understand
and allows multiple tilesets to be used in any map. Tilesets can be
modified at any time.

%package -n %{libname}
Summary:	The shared libraries for %{name}
Group:		System/Libraries
License:	BSD

%description -n %{libname}
This package contains the shared libraries for %{name}.

%prep
%autosetup -p1

# Remove copy of zlib
rm -rf src/zlib

%build
%qmake_qt5 PREFIX=%{_prefix} \
           LIBDIR=%{_libdir} \
           RPATH=no \
           LIBS+=-lpython%{python3_version}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# examples
cp -a examples %{buildroot}%{_datadir}/%{name}

#we don't provide a -devel pkg, yet
rm -rf %{buildroot}%{_libdir}/lib%{name}.so

%files
%doc AUTHORS NEWS.md README.md
%license LICENSE.BSD LICENSE.GPL
%{_bindir}/%{name}
%{_bindir}/terraingenerator
%{_bindir}/tmxrasterizer
%{_bindir}/tmxviewer
%{_datadir}/%{name}/
%{_datadir}/applications/org.mapeditor.Tiled.desktop
%{_datadir}/mime/packages/org.mapeditor.Tiled.xml
%{_datadir}/metainfo/org.mapeditor.Tiled.appdata.xml
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_iconsdir}/hicolor/*/*/*%{name}.*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/tmxrasterizer.1.*
%{_mandir}/man1/tmxviewer.1.*

%files -n %{libname}
%license LICENSE.BSD
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1660023
- Rebuild for new Qt5

* Mon Nov 23 2020 akien <akien> 1.4.3-1.mga8
+ Revision: 1648834
- Version 1.4.3

* Sun Oct 25 2020 akien <akien> 1.4.2-1.mga8
+ Revision: 1639164
- Version 1.4.2

* Fri Jul 24 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1608736
- new version: 1.4.1

* Wed Feb 19 2020 umeabot <umeabot> 1.3.2-2.mga8
+ Revision: 1543916
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 akien <akien> 1.3.2-1.mga8
+ Revision: 1482365
- Version 1.3.2

* Thu Oct 17 2019 daviddavid <daviddavid> 1.2.5-1.mga8
+ Revision: 1454348
- new version: 1.2.5

* Wed Oct 16 2019 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1454209
- fix python3.8 linking issue
- rebuild for python3.8

* Sun May 19 2019 akien <akien> 1.2.4-1.mga7
+ Revision: 1398509
- Version 1.2.4

* Sun Apr 21 2019 akien <akien> 1.2.3-1.mga7
+ Revision: 1394547
- Version 1.2.3

* Tue Apr 02 2019 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1385085
- Qt5 Rebuild

* Thu Feb 07 2019 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1363765
- new version: 1.2.2

* Tue Jan 08 2019 tv <tv> 1.2.1-2.mga7
+ Revision: 1351601
- rebuild with python 3.7

* Tue Jan 01 2019 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1348010
- new version: 1.2.1

* Thu Sep 20 2018 akien <akien> 1.2.0-1.mga7
+ Revision: 1289208
- Version 1.2.0

* Wed Jul 18 2018 akien <akien> 1.1.6-1.mga7
+ Revision: 1244152
- Version 1.1.6

* Sat Jun 02 2018 daviddavid <daviddavid> 1.1.5-1.mga7
+ Revision: 1233555
- new version: 1.1.5

* Sun Apr 22 2018 wally <wally> 1.1.4-1.mga7
+ Revision: 1220892
- new version 1.1.4

* Sat Mar 17 2018 wally <wally> 1.1.3-1.mga7
+ Revision: 1210131
- new version 1.1.3

* Sat Oct 07 2017 wally <wally> 1.0.3-1.mga7
+ Revision: 1169978
- new version 1.0.3

* Thu Jun 29 2017 akien <akien> 1.0.2-1.mga6
+ Revision: 1108649
- Version 1.0.2

* Sun May 28 2017 akien <akien> 1.0.0-2.mga6
+ Revision: 1105373
- Rebuild for ARM

* Sun May 28 2017 akien <akien> 1.0.0-1.mga6
+ Revision: 1105310
- Version 1.0.0

* Fri Jan 27 2017 akien <akien> 0.18.1-1.mga6
+ Revision: 1083648
- Version 0.18.1

* Mon Nov 28 2016 akien <akien> 0.17.2-1.mga6
+ Revision: 1070689
- Version 0.17.2

* Sat Nov 05 2016 akien <akien> 0.17.1-1.mga6
+ Revision: 1065437
- Version 0.17.1

* Sat May 21 2016 wally <wally> 0.16.1-1.mga6
+ Revision: 1017353
- new version 0.16.1

* Sun Apr 10 2016 wally <wally> 0.16.0-1.mga6
+ Revision: 1000017
- new version 0.16.0

* Sun Mar 13 2016 wally <wally> 0.15.2-1.mga6
+ Revision: 990303
- new version 0.15.2
- enable python plugin

* Wed Feb 17 2016 umeabot <umeabot> 0.14.2-2.mga6
+ Revision: 963058
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 wally <wally> 0.14.2-1.mga6
+ Revision: 891758
- new version 0.14.2

* Tue Sep 22 2015 wally <wally> 0.14.0-1.mga6
+ Revision: 882203
- new version 0.14.0

* Wed Sep 09 2015 wally <wally> 0.13.1-1.mga6
+ Revision: 875285
- new version 0.13.1

* Thu Aug 13 2015 wally <wally> 0.13.0-1.mga6
+ Revision: 864470
- new version 0.13.0
- switch to Qt5

* Sun Jun 21 2015 wally <wally> 0.12.3-1.mga6
+ Revision: 837905
- new version 0.12.3

* Sat Jun 20 2015 wally <wally> 0.12.2-1.mga6
+ Revision: 836450
- new version 0.12.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 742723
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 697486
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 531157
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 wally <wally> 0.9.1-1.mga4
+ Revision: 462311
- new version 0.9.1

* Thu May 23 2013 wally <wally> 0.9.0-1.mga4
+ Revision: 424996
- new version 0.9.0
- drop upstreamed rpath patch
- use .desktop file from upstream

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 384576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Wed Oct 17 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 307741
- import tiled based on .spec from Fedora

